Class | AMQP::Header
In: | lib/amqp/header.rb
Parent: | Object

Message metadata (aka envelope).

### Methods

ack consumer_tag content_type correlation_id delivery_mode delivery_tag exchange header headers message_id method_missing new priority redelivered redelivered? reject reply_to timestamp to_hash type

### Attributes

attributes | [R] | AMQP message attributes @return [Hash]
channel | [R] | @api public @return [AMQP::Channel]
method | [R] | AMQP method frame this header is associated with. Carries additional information that varies between AMQP methods. @api public @return [AMQ::Protocol::Method]

### Public Class methods

new(channel, method, attributes)

@api public

### Public Instance methods

ack(multiple = false)

Acknowledges the receipt of this message with the server. @param [Boolean] multiple Whether or not to acknowledge multiple messages @api public

consumer_tag()
content_type()
correlation_id()
delivery_mode()
delivery_tag()
exchange()
header()

@deprecated

headers()
message_id()
method_missing(meth, *args, &blk)

Returns AMQP message attributes. @api public

priority()
redelivered()
redelivered?()
reject(opts = {})

Reject this message. @option opts [Hash] :requeue (false) Whether message should be requeued. @api public

reply_to()
timestamp()
to_hash()

@return [Hash] AMQP message header w/o method-specific information. @api public

type()

[Validate]